logo

Magnus Berg – Motbild.Se

Min bild av världen

Här, idag… på två fotografi

Datorer & IT, Fotografi - fredag 29 november 2013

131129-001

131129-002

Jag har byggt mig en ny dator sedan förra bloggposten. Det innebär att bildbehandlandet blir betydligt smidigare. Nu behöver jag inte vänta i drygt 5 sekunder innan jag ser hur en ändringar påverkar bilden. Nu sker det i realtid.

När jag skulle välja ut komponenter till datorn så var det mest grafikkortet jag tänkte på att anpassa efter mina behov. Och eftersom det vanligtvis mest krävande användningsområde jag har datorn till är bildbehandling så fick det vara rättesnöret.

Eftersom det bildbehandlingsprogram jag använder – Dark Table – använder sig av tekniken OpenCL så var det bästa OpenCL-prestanda jag siktade på.

Tidigare jag har alltid haft Nvidia grafikort. Men AMD:s Radeon-kort är dubbelt så snabba som Nvidia på just OpenCL. Så nu lämnade jag Nvidia för Radeon.

Men jag övergav också AMD:s processorer för Intel. Jag tänkte; Nu skiter jag i att ta ansvar för att det finns en konkurrent till marknadsgiganten Intel. Intels processorer är snabbare, men också dyrare. Mest valuta för pengarna får man fortfarande med AMD:s processorer.

Sedan köpte jag en lika dan datorlåda – Zalman Z-Machine GT1000 – som jag redan hade. Det är datorlådornas Royce Rolls. Skillnaden är att den jag hade kostade över 3000 kronor när jag köpte den. Nu säljs dom för drygt 700 kronor. Ett riktigt klipp.

Självklart fortsätter jag att köra mitt älskade Debian/GNU-Linux och XFCE på den nya datorn.

Kör Debian/GNU-Linux och XFCE gör sedan någon månad tillbaka även min nästan 90-åriga granne. Hans dator började bli så jäkla seg med Windows XP. Så jag gjorde en ominstallation av Windows XP i tron att en färsk installation skulle göra susen. Men det gjorde det inte. Internet Explorer var fortfarande fruktansvärt segt; oanvändbart. Så då installerade jag Debian/GNU-Linux och XFCE och bar in datorn till honom. Jag gav honom några snabba instruktioner och sedan dess tycker han det har gått bra. Han tycker att han fått en snabb och, framför allt, användbar dator igen. Min assistans har han bara behövt vid tre tillfällen. För att komma överens med den nya, lite annorlunda, mjukvaran.

Min nya dator består av följande delar:

LÅDA
Zalman Z-MACHINE GT1000

PROCESSOR
Intel Core i7-4770K Processor

GRAFIKKORT
ASUS Radeon HD7970 Matrix 3GB

PROCESSORKYLARE
Noctua NH-U12S CPU Kylare

MODERBORD
ASUS MAXIMUS VI HERO

MINNE
Kingston DDR3 HyperX Beast 16GB

NÄTAGREGAT
Corsair RM750 750W 80+ Gold Modular ATX

TANGENTBORD & MUS
Microsoft Natural Ergo Keyboard 4000
Microsoft Comfort Mouse 4500

SSD
Corsair Force LS 240GB SSD R:560/W:535 2.5″ SATA-3

OPTISKA ENHETER
Asus DRW-24F1ST/BLK/G/AS DVD±RW 24x SATA
Asus BC-12D2HT/BLK/G/AS Blu-Ray 12x SATA

På SSD:n ska jag ha operativsystem och program. Jag har behållit mina två 500 GB hårddiskar, från den tidigare datorn, men nu kopplat samman dem till ett ZFS raid-0 system.

Den nya datorn är så snabb att den endast behöver gå på tomgång…

Skriv kommentar


GrayCatXfce – färgtema för XFCE4

Datorer & IT - tisdag 30 april 2013

GrayCatXfce-0.0.2Ovan mitt pågående färgtema för XFCE4 – GrayCatXfce

Som ni som besökt min blogg tidigare märker så har jag ändrat färgerna. Detta beror på att jag håller på med ett färgtema till min nuvarande datormiljö XFCE4. Och detta tema har inspirerat mig till färgförändringarna på bloggen.

Inom Linuxvärden är man så lyckligt lottad att man kan välja mellan många olika datormiljöer. I huvudsak är de tre. Det finns otaliga fler, men de är mer eller mindre nördiga. De nördiga är kul och lärorika om man vill bygga sin datormiljö utan de mer polerade alternativens begränsningar. FVWM, till exempel, använde jag under en tid. Det kan man designa hur tusan man vill. Men jobbigt var det. T ex: Installerade man ett nytt program och ville kunna starta detta från en meny så fick man själv skriva in programnamn och kommandot, för att starta det, i en texfil. En fil som ”var” menyn. Att startmenyn finns i from av en textbaserad fil är standard inom Linuxvärden men de flesta datormiljöer uppdaterar filen automatiskt och lägger till nyinstallerade program. Dock inte FvWM.

FVWM_040614Mitt FVWM 040614

De mest använda, och användarvänliga, miljöerna till Linux är KDE, Gnome och XFCE4. När KDE kom som version 4, med all kod omskriven, skrev jag om detta 15 januari 2008. Jag skrev att KDE 4 ”innehåller en rejäl mängd buggar” men ”lovar mycket gott för Linux-världen”. Och jag fick rätt, men det tog tid.

Jag har nyligen kört KDE 4.9.5 och 4.10 i kanske en månads tid och gillat det mycket. Nu är KDE helt stabilt. Men de applikationer jag använder mest är inte KDE:s starka sida. KDE:s webbläsare Konqueror och mejlklient Kmail trivs jag inte riktigt med. Konqueror kan allt för ofta ta en väldig tid på sig att hämta ner webbsidor. Och att då köra Firefox (en bra webbläsare) och Thunderbird (en bra mejlklient) i KDE känns inte riktigt rätt, tycker jag, även om det går alldeles utmärkt. Detta eftersom KDE är byggt på Qt och de bästa applikationerna i de olika kategorierna – som Firefox (webbläsare), Thunderbird (mejlklient), Libre Office (kontorspaket), Gimp (bildbehandling) Dark Table (bildbehandling (raw-filer)) – är byggda på Gtk. Qt och Gtk är de respektive grunderna för det grafiska gränssnittet. Kan tilläggas är att Gnome och XFCE4 är byggt på Gtk.

Före denna månad med KDE körde jag Gnome 3. Gnome 3 är också en helt nyskriven version av Gnome. Inte ens hur alla är vana att använd en dator lät utvecklarna sig påverkas av. Konceptet var helt nytt och åstadkom protester och ramaskri i Linuxvärlden. Många övergav Gnome.

När jag textade Gnome 3 första gången blev jag också skitförbannad. Var är t ex programstartmenyn? Så efter ett par dagars test kastade jag ut skiten. Men sen gick det någon månad och jag blev sugen på att testa Gnome 3 igen. Den här gången gav jag mig fan på att lära mig använda Gnome så som utvecklarna tänkt; dvs inte köra datorn med musen i första hand, utan med tangentbordet. Och jag insåg att konceptet var genialt. Jag gillade Gnome 3 starkt. Men sedan tröttnade jag även där. Kan faktiskt inte ge ett sakligt själ till varför jag lämnade Gnome 3: Gnome 3 är bra! Det var då jag testade KDE. Och det första jag gjorde i KDE var att ställa in det så att jag kunde köra datorn på det sätt som jag lärt i Gnome 3…

Men nu är jag alltså tillbaka till XFCE4, den miljö som jag använt mest genom åren. Till XFCE4 återkommer jag alltid och det känns alltid som att komma hem. Det är  något visst med XFCE4. Jag tror det har mycket med utseendet att göra. Det är lite skönt kantigt i den grafiska designen. Men det som alltid saknas, vare sig jag kör KDE, Gnome eller XFCE4 är ett schysst färgtema. I KDE är det enkelt att själv ställa in de färger man vi ha på skrivbordet. Men i Gnome och XFCE4 måste kan skriva det för hand i smått obegripliga textbaserade filer. Jag har tidigare gjort ett snyggt färgtema till XFCE4 men det är utdaterat och har inte stöd för Gtk3. Så nu håller jag på med ett nytt, som ska bli likt det tidigare. Det jag framför allt vill ha är ett färgtema som är distraktionsfritt; dvs det ska inte störa. Inte vara frö ljust och inte vara för mörkt. Dessutom gillar jag medelgrått eftersom det är en bra omgivning för bildbehandling.

Ni kan följa mitt arbete med att utveckla det nya temat, samt hämta ner det här: GrayCatXfce.

—–
Andra bloggar som skriver intressant!

Skriv kommentar


Skype är inget pålitligt och serviceinriktat företag

Datorer & IT - måndag 1 februari 2010


Dyr och helt kass, men Skype-certifierad telefon. (Mer om själva telefonen.)

När jag idag skulle installera om Skype-klienten (efter att ha ominstallerat hela datorsystemet, som är Debian/GNU-Linux) så upptäckte jag att Skype tillhandahåller endast en betaversion av klienten som enligt Skypes ‘release notes’ första rad har följande problem:

”Logging out and in may cause Skype to crash.”

Det är det som har hänt med all betaversioner (versionerna efter den sista stabila och fungerande versionen 2.0.0.72) som jag har testat på mina tre datorer med Debian. Betaversionerna kraschar redan när jag försöker logga in.

Det andra problemet som Skypes ‘release notes’ nämner, och som är specifikt för Debian, har jag också råkat ut för.

”On Debian amd64 version Skype crashes on startup with the message: ”Inconsistency detected by ld.so: dl-open.c: 623: _dl_open: Assertion `_dl_debug_initialize (0, args.nsid)->r_state == RT_CONSISTENT’ failed!”
This seems to be Debian only issue with 32 bit PulseAudio libraries being installed even if PulseAudio is not active, a workaround can be:
Debian Lenny: sudo chmod a-r /usr/lib32/libpulse{-simple.so.0.0.1,.so.0.4.1}
Debian Squeeze: sudo chmod a-r /usr/lib32/libpulse{-simple.so.0.0.2,.so.0.8.0,common-0.9.15.so}”

Startar man Skype (eller andra program) från en terminal så får man felmedelanden om något inte är som det ska. (Starta program från terminal är ett bra sätt att felsöka.) Det felmeddelande som nämns ovan känner jag igen. Jag har också testat den lösning som föreslås. Dock utan att det löste problemet.

Tidigare har jag alltid letat upp Skype 2.0.0.72 i Medibuntus förråd och installerat därifrån. Men nu tycks det som om Skype försvunnit helt från Medibuntu programarkiv. Jag hittar inte någon version av Skype till någon Ubuntu version. Det skulle vara intressant att veta om det skett påstötningar från Skype med krav på att avlägsna Skype från Medibuntu. Jag tror Skype vill ha det så att Skype bara kan hämtas från Skypes egen hemsida. Intensivt googlande visar att det inte tycks finnas några alternativa nedladdningsplatser.
Men hur har Skype tänkt när den enda klient de tillhandahåller för Linux är en klient som inte fungerar?
Att det är problem för många Linuxanvändare vittnar rubriken på en av trådarna i Skypes diskussionsforum:

Where can I get the skype 2.0.0.72 deb?

Trots flera trådar i Skypes diskussionsforum med samma fråga och massor med rapporter om problem med betaversionerna så har Skype inte behagat göra den stabila fungerande versionen 2.0.0.72 tillgänglig igen. Därför skrev jag idag ett mejl till Skypes support. Ett mejl med följande innehåll:

Hi!

I dont’t like your kind of joke!

I reinstalled my Debian/Linux system and now I need to install Skype also. The only aviable version of Skype you place at your Linux customers disposal is a beta version. A beta version that doesn’t work on my computer and doesn’t work on lots of other Linux users computers either. Just read what is written in the Skype Linux forum and on the world wide web. Even in the Release Notes for the beta version (2.1) you can read that: ”Logging out and in may cause Skype to crash.”

How do you think that we, your Linux customers, chould be able to use Skype then we can’t log in???

I can’t log in. And I’m not willing to be your betatester for free. I have payed for a service that I no longer can use. I could then I signed up for a Skype account. When I could download version 2.0.0.72 for Ubuntu or Debian for AMD-64 hardware. Now I can only download a Skype version that you know use to crash then the customers try to login. How vise does that seems to be??? It’s the most stupid thing I ever recognised in the computer word.

Now I demand that you even make it possible to download the stable version of Skype from your Linux download site. As paying customer I can’t demand less than a working version.

Det ska bli väldigt intressant att se om Skype behagar reagera på kundkritik. Utifrån de kommentarer jag fick när jag skrev om ‘Min Skype-telefon Acer One’ så är Skype inget pålitligt och serviceinriktat företag. De tycks mer inne på linjen att blåsa sin kunder än ge kunderna bra service och sälja bra produkter. Men visst: Själva Skype tjänsten fungerar väldigt bra. Men för den behövs en fungerande klient. 😉

Till sist hittade jag en skype-debian_2.0.0.72-1_i386.deb. Det är samma som används för 64-bitars hårdvaran och fungerar även med Ubuntu på 32- och 64-bitar. Men den går inte att installera på 64-bitars hårdvara utan att man tvingar pakethanteraren med:

dpkg –force-architecture -i skype-debian_2.0.0.72-1_i386.deb

Sedan måste man se till att ha ia32-libs, ia32-libs-gtk, libqt4-core och libqt4-gui installerade. Men skulle alla eller några av dessa saknas så märker man det om man startar Skype från terminalen.

Ni som är lite imponerade av Skypes uppfinnare bör lyssna på Niklas Zennström i Ekots lördagsintervju. Där får man snarare intrycket att han är en idiot. Han kallar sig filantrop (betyder människovän alternativt välgörare) men alla hans bolag är registrerade i skatteparadis… Dessutom är han inte, trots sitt val att medverka i Ekots lördagsintervju, intresserad att svara på intervjuarens frågor…

Skriv kommentar


Provkör Gimp 2.7 på Debian eller Ubuntu

Datorer & IT - tisdag 1 december 2009

Gimp-2.7_600px

Igår hittade jag en fin instruktion på italienska som berättade hur man installerar och kör bildbehandlingsprogrammet Gimp:s uttestningsversion 2.7 på Debian. Det fungerade så enkelt och bra att jag tänkte tipsa om hur man gör. Och eftersom Ubuntu är en klon av Debian, och är populärt bland Linuxnoviser, så vill jag berätta att det fungerar exakt på samma sätt på Ubuntu.
Den här manualen är avsedd att kunna användas även av de som inte vet ett jota om terminaler och hur man kompilerar program. Men det kan krävas lite vilja till att lära sig.

Visserligen är Gimp 2.7 ännu inte riktigt så polerad som en skarp version, men den är fullt användbar. Och sedan jag första gången fick testa på den stora Gimpnyheten, ”single window mode”, så vill jag inte använda Gimp 2.6 något mer. Nu är hela gränssnittet sammanhållet och bilderna blir till flikar.
I sängen, innan jag somnade, funderad jag lite på det där: Hur ska man kunna jämföra två versioner av samma grundbild. Man kan ju inte lägga dem bredvid varandra. Men bildväxlingen går så snabbt, när man klickar på flikarna, att man hinner se skillnaden även om det bara skiljer små nyanser. Så det är inga problem. Sedan kan man, motvilligt, välja att lämna ”single window mode” och köra Gimp precis som tidigare, med flera fönster.

Så här gör du för att provköra Gimp 2.7.

(Tänk på att de kommandon som följer ibland radbyts här på webbsidan. Det är dubbelt radavstånd mellan olika kommandon. Så se till att skriva hela kommandot på samma rad i terminalen.)

Öppna en terminal.

Gå till en lämplig mapp – använd kommandot cd – där du vill lägga de filer som kommer att behövas för installationen.

Logga in som root d.v.s. med administrationsbehörighet. Detta görs genom att skriva su, trycka på enter/retur, skriva rootlösenordet, och trycka på enter/retur.
Ni som kör Ubuntu, och är skitskraja för att köra som root, kan ju hålla på och krångla med att lägga till sudo framför alla kommandon som kräver rootbehörighet.

Börja med att installera de program som behövs för att bygga Gimp.
Kör följande i terminalen:

aptitude install git-core libtool autoconf automake intltool

Kör sedan:

aptitude build-dep gimp

Nu kan det vara mycket lämpligt att sluta köra terminalen som root. Skriv exit och tryck enter/retur.

Kör nu följade kommandon i tur och ordning. Dessa resulterar i att Gimp 2.7 kommer att installeras i den av Debian oanvända mappen /opt så att det inte blir något krångel med Gimp 2.6, som jag förutsätter att du har installerad, som ligger bland alla andra applikationer i mappen /usr.

export PATH=$PATH:/opt/gimp-2.7/bin

export PKG_CONFIG_PATH=/opt/gimp-2.7/lib/pkgconfig

export LD_LIBRARY_PATH=/opt/gimp-2.7/lib

Sedan är det dax för lite programinstallationer. En uppvärmning inför det som komma skall. Du ska nu hämta hem koden till Babl och Gegl och bygga program av dessa som du sedan installerar i mappen /opt/gimp-2.7. Kör följande kommandon i tur och ordning.

git clone --depth 1 git://git.gnome.org/babl

cd babl

./autogen.sh --prefix=/opt/gimp-2.7

make -j4

Nu är det dax att åter bli root. Det måste man vara för att kunna installera program. För att bli root, gör som jag skrev ovan. Och kör:

make install -j4

Logga ut som root med exit.

Gör nu precis som nyss, men med följande kommandon. Glöm inte att bli root inför sista momentet.

git clone --depth 1 git://git.gnome.org/gegl

cd gegl

./autogen.sh --prefix=/opt/gimp-2.7 --disable-gtk-doc

make -j4

Och så:

make install -j4

Logga ut som root.

Nu är det äntligen dax för Gimp. Gör precis som med Babl och Gegl.

git clone --depth 1 git://git.gnome.org/gimp

cd gimp

./autogen.sh --prefix=/opt/gimp-2.7 --disable-gtk-doc

make -j4

Och så:

make install -j4

Nu kan du köra Gimp 2.7 genom att skriva in /opt/gimp-2.7/bin/gimp-2.7 i terminalen eller ännu hellre i någon programstartsdialogfönster.

Använder du dig, som jag, av Ufraw för att kunna bearbeta raw-filer så måste du installera en separat version av Ufraw på samma plats som Gimp 2.7. Nu skiter jag i att vara så detaljerad men i korthet gör du så här. Och nu bygger vi inte ifrån den källkod som Debian eller Ubuntu tillhandahåller utan hämta koden direkt från Ufraws hemsida.

Hämta hem ufraw-0.16.tar.gz Skulle länken inte fungera så gå till Ufraws nedladdningssida och hämta en eventuellt ny version. Packa upp den komprimerade filen.
Så var det dax att göra ungefär som tidigare förutom hämtningen, vilket redan är gjort.

Kör följande utan rootbehörighet.

cd ufraw-0.16

./configure --prefix=/opt/gimp-2.7

make -j4

Och som root:

make install -j4

Nu kan du starta Ufraw med /opt/gimp-2.7/bin/ufraw
Öppnar du en raw-fil med Gimp 2.7 kommer Ufraws Gimpplugin automatiskt att starta.

När du sedan Gimp 2.7 kommer som skarp version i det ordinarie programutbudet, då med versionsnummer 2.8, är det bara att kasta mappen gimp-2.7 som finns i /opt.

Gillar du mitt XFCE 4-tema, som syns på skärmdumpen, så kan du hämta det och läsa mer här.

Skriv kommentar


Presenterar SmoothGrayCatXfce skrivbordstema för Xfce 4

Datorer & IT - söndag 22 februari 2009

145t

Äntligen har jag ett skrivbords-färgtema som passar mina höga önskemål och behov.

Jag önskade först och främst ett tema med neutralgrå färger. Ett tonat tema kan påverka ögats förmåga att se neutralt på bilder vid t ex bildbehandling. Jag ville också ha ett ganska mörkt tema. Även detta önskemål handlade om bra arbetsmiljö vid bildbehandling men även generellt så gillar jag skrivbordsarbetsmiljöer som inte distrahererar – är för ljusa och/eller färgglada – utan bara finns där men ändå är snygga, när man tar sig tid att titta efter.

Under flera år har jag använd mig av ett skrivbordstema Clean Orangish (OBS: länken går till temafilen) till GTK 2 och Xfce 4 som jag inte varit helt nöjd med. Därför har jag då och då letat på XFCE-look men har aldrig hittat något bättre förrän för ett par veckor sedan. Då hittade jag SmoothCatXfce som såg ut precis som jag ville ha det. Men det var – uppenbarade det sig dagen därpå när jag installerat temat på min stationära dator – endast på mina två bärbara det såg ut som ett neutralgrått tema. I själva verket var det ett grönt tema. Vilken också bekräftades av temats kod. Därför satte jag igång att ändra det tema som jag först varit helt lyrisk över.

Tog bort alla filer i SmoothCatXfce-mappen, utom gtkrc. Det innebar allt alla SmoothCatXfce-ikoner är borta. Jag använder själv Gnome-ikoner.

  • Strök hänvisningen i gtkrc till den borttagna filen iconrc.
  • Ändrade de flesta färger till en neutral grå ton. De färger jag sparat är de blå och röda färgklickarna som dyker upp på t ex scroll-handtag och framåtskridande-staplar. Alla andra färger blev neutrala och nedtonade enligt principen;
    sänk alla tre färgerna rött, blått och grönt till det lägsta värdet, av de tre, i orginaltemat.
  • Så framställde jag neutralgråa och mörkare färger till det som skulle bli SmoothGrayCatXfce.
  • Breddade scrollhandaget något, från 12 till 15 pixlar.

Förutom det gröna så tycker jag SmoothCatXfce var ett riktigt snyggt tema. Därför vet jag inte, just nu, några fler punkter än de ovan som jag vill ändra på. Jag presenterar därför version 1.0 av SmoothGrayCatXfce.

Stor skärmbild med SmoothGrayCatXfce.

Hämta temat SmoothGrayCatXfce på ”XFCE-look.

SmoothCatXfce kräver, i stort sett, att GTK-temamotorn Smooth är installerad. Många linuxdistributioner (bl a Debian se nedan) har denna temamotor i sitt programarkiv för enkel installation.

Installera på Debian GNU/Linux:

  1. Smooth installerat genom att köra ”aptitude install gtk-smooth-themes” i terminalen.
  2. SmoothGrayCatXfce installeras genom att hämta samt packa upp filen och placera den uppackade mappen SmoothGrayCatXfce-1.0 i /usr/share/themes/
Skriv kommentar